Bug 841840 - replicate fix-open should consider O_TRUNC flag.
replicate fix-open should consider O_TRUNC flag.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
Rahul Hinduja
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 07:21 EDT by Pranith Kumar K
Modified: 2013-07-24 13:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:43:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-07-20 07:21:56 EDT
Description of problem:

    When open was done while a brick is down, afr opens the file after
    the brick comes backup. If this happens after the self-heal on the file
    is completed by self-heald etc, the file will end up in truncated state.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Vijay Bellur 2012-07-25 20:45:31 EDT
CHANGE: http://review.gluster.com/3705 (cluster/afr: Filter O_TRUNC in afr-fix-open) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Jeff Darcy 2012-10-31 09:36:39 EDT
Don't see it in 3.3 branch, so still MODIFIED.
Comment 3 Jeff Darcy 2012-11-01 10:28:03 EDT
http://review.gluster.org/4147
Comment 4 Vijay Bellur 2012-11-05 05:27:54 EST
CHANGE: http://review.gluster.org/4147 (cluster/afr: Filter O_TRUNC in afr-fix-open) merged in release-3.3 by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.